Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001253graphvizBuild/Installpublic2008-02-01 00:242013-10-22 13:26
ReporterTerry Rankine 
Assigned Toellson 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSx86-Linux-suse 9.3 i586OS Version
Summary0001253: malloc.c:408: error: return type is an incomplete type
Description



<CD>
-bash-3.00$ ./configure --prefix=/tools/graphviz/2.16.1
-bash-3.00$ make
...
...
if /bin/sh ../../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I../../lib/ast -I../../lib/sfio -I/tools/graphviz/2.16.1/include -g -O2 -Wno-unused-parameter -Wno-unknown-pragmas -Wstrict-prototypes -Wpointer-arith -Wall -ffast-math -MT malloc.lo -MD -MP -MF ".deps/malloc.Tpo" -c -o malloc.lo malloc.c; \
then mv -f ".deps/malloc.Tpo" ".deps/malloc.Plo"; else rm -f ".deps/malloc.Tpo"; exit 1; fi
 gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I../../lib/ast -I../../lib/sfio -I/tools/graphviz/2.16.1/include -g -O2 -Wno-unused-parameter -Wno-unknown-pragmas -Wstrict-prototypes -Wpointer-arith -Wall -ffast-math -MT malloc.lo -MD -MP -MF .deps/malloc.Tpo -c malloc.c -fPIC -DPIC -o .libs/malloc.o
malloc.c:408: error: return type is an incomplete type
malloc.c: In function `mstats':
malloc.c:410: error: storage size of `ms' isn't known
malloc.c:421: warning: `return' with a value, in function returning void
malloc.c:410: warning: unused variable `ms'
make[3]: *** [malloc.lo] Error 1
make[3]: Leaving directory `/work/ran110/graphviz-2.16.1/lib/vmalloc'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/work/ran110/graphviz-2.16.1/lib'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/work/ran110/graphviz-2.16.1'
make: *** [all] Error 2
</CD>
Additional Information

[ellson]
I don't understand how this occurs? malloc.c:408 is inside an: #if _lib_mstats
but I don't see _lib_mstats being defined anywhere?

Can you see where it is defined on your system?

This problem doesn't occur on Fedora, Centos, Solaris, IRIX, MacOS, ... so what is different about SuSE?

[terry] there is another bug logged that matches this desc.

the place that i found it defined was in FEATURE/vmalloc

I also noticed that this file was not 'regenerated' when you do a configure

TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENTinactive - presumed solved
FORMER-ID1285
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT*
VERSION     2.16.1
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => user695
2013-10-22 13:26 ellson FIX-COMMENT => inactive - presumed solved
2013-10-22 13:26 ellson Status acknowledged => closed
2013-10-22 13:26 ellson Resolution open => fixed


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker